/*******************************************************************************
Description:		Wealth tax modelling: define sample (remove non-residents)

Uses: pareto adjusted data from 2.pareto_adjustement.do (pareto_adjusted_final.dta)
*******************************************************************************/

use "$tempdata\pareto_adjusted_final.dta", clear

if $using_companies_house == 1 {
	*Implement options
	if $drop_nonres  == 1 {
	drop if resident == 0
	}
	if $drop_foreign == 1 {
	drop if british == 0
	}
}

save "$tempdata\sample_for_analysis.dta", replace
